%global srcname backports.shutil_which
%global altname backports-shutil_which
%global common_summary Backport of shutil.which from Python 3
%global common_description %{summary}\
(https://docs.python.org/3/library/shutil.html#shutil.which).

Name:           python-%{altname}
Version:        3.5.1
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
# shutil_which.py is Python, __init__.py is MIT
License:        Python and MIT
URL:            https://pypi.python.org/pypi/%{srcname}/
Source0:        https://pypi.io/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{altname}
Summary:        %{common_summary}
%{?python_provide:%python_provide python2-%{altname}}

%description -n python2-%{altname}
%{common_description}


%prep
%autosetup -n %{srcname}-%{version}
%build
%py2_build


%install
%py2_install

# Files provided by python-backports
rm $RPM_BUILD_ROOT%{python2_sitelib}/backports/__init__.py*


%check
PYTHONPATH=build/lib %{__python2} test/test_which.py


%files -n python2-%{altname}
%doc README.md
%license LICENSE
%{python2_sitelib}/*


%changelog
* Wed Feb 15 2017 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.1-4
- Remove duplicate files already provided by python-backports

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 25 2017 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.1-2
- Fix license tag

* Sat Jan  7 2017 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.5.1-1
- Initial RPM release
